unit Unit4;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs;

type

  { TInspectorForm }

  TInspectorForm = class(TForm)
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  InspectorForm: TInspectorForm;

implementation
Uses Unit1;
{ TInspectorForm }

procedure TInspectorForm.FormClose(Sender: TObject;
  var CloseAction: TCloseAction);
begin
  Form1.DetachToolsButton.Down:=False;
  Form1.ToolOptionsPanel.Parent:=Form1.DrawingPanel;
  CloseAction:=caHide;
end;

initialization
  {$I unit4.lrs}

end.

